## endeavour 2.8.4

=== Makefile ===
#                     Endeavour Mark II Master Makefile
#


# Uncomment this if you need to set the shell explicitly
#SHELL = /bin/bash

# Uncomment this if you need to set the make explicitly
#MAKE = /usr/bin/gmake


# Source Directories
#
# Note that the order is important.
#
ALL_SRC_DIRS=endeavour2 endeavour2/lib				\
             endeavour2/download.front endeavour2/format.front	\
             endeavour2/fsck.front endeavour2/hedit		\
             endeavour2/sysinfo endeavour2/tedit		\
             endeavour2/ziptool.front endeavour2/utils		\


# All, Config
#
all config:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@ || exit 1;	\
        done
	@echo "To install, type \"su\" (to gain root privileges)\
and then type \"make install\"."


# Install
#
install:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@ || exit 1;	\
        done
	@echo "Installation complete."
	@echo " "
	@echo "Note: This package does NOT come with a default MIME Type list file."
	@echo " "
	@echo "To get MIME Types list files and other third party software for"
	@echo "Endeavour Mark II, go to:"
	@echo " "
	@echo "        http://www.battlefieldlinux.com/wolfpack/Endeavour2/contrib"
	@echo " "


# Clean
#
clean:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@; 		\
        done

=== endeavour2/fsck.front/Makefile ===
PREFIX = /usr

CFLAGS = -Wall -O2 -g `gtk-config --cflags`

INC_DIRS =

LIBS = -lm `gtk-config --libs`
LIB_DIRS =

CC = cc
CPP = c++

# Appended stuff starts here
#

# C++ flags:
CPPFLAGS = -D__cplusplus -Dc_plusplus

# Source files list:
include Makefile.srclist

# Compiler set up:
BIN     = fsck.front
OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)
.c.o:
	@echo "Compiling module $*.o"
	@+$(CC) -c $*.c $(INC_DIRS) $(CFLAGS)
.cpp.o:
	@echo "Compiling module $*.o"
	@+$(CPP) -c $*.cpp $(INC_DIRS) $(CFLAGS) $(CPPFLAGS)

# Programs
LS      = ls
LSFLAGS = -s -h -c --color=auto
RM      = rm
RMFLAGS = -f

# Build rules:
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"

$(BIN): config prebuild modules postbuild

config:
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

modules: $(OBJ_C) $(OBJ_CPP)
	@echo -n "Linking modules..."
	@$(CPP) $(OBJ_C) $(OBJ_CPP) $(OBJ_SO) \
        -o $(BIN) $(LIBS) $(LIB_DIRS)
	@echo -n "   "
	@-$(LS) $(LSFLAGS) $(BIN)

prebuild:
	@echo "Building program \"$(BIN)\"..."

postbuild:
	@echo "Build done."

all: $(BIN)


# Install Rules:
include Makefile.install.UNIX


# Maintainance and Misc Rules:
clean:
	@echo "Cleaning program \"$(BIN)\"..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h $(BIN)
	@echo "Clean done."

=== endeavour2/lib/Makefile ===
PREFIX = /usr


# Compiler flags
#
CFLAGS   = -Wall -O2 -g -fPIC \
           `glib-config --cflags`
CPPFLAGS = -D__cplusplus -Dc_plusplus


# Include directories
#
INC_DIRS =


# Libraries
#
LIBS     = `glib-config --libs`
LIB_DIRS =


# Compilers
#
CC  = cc
CPP = c++


# Programs
LS      = ls
LSFLAGS = -s -h -c --color=auto
RM      = rm
RMFLAGS = -f


# Source list
#
include Makefile.srclist


# Source to object
#
LIB_CFG_BIN = endeavour2-config
LIB_CFG_MAN = endeavour2-config.1.bz2
LIB         = libendeavour2.so
OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)
.c.o:
	@echo "Compiling module $*.o"
	@+$(CC) -c $*.c $(CFLAGS)
.cpp.o:
	@echo "Compiling module $*.o"
	@+$(CPP) -c $*.cpp $(CFLAGS) $(CPPFLAGS)


# Programs and their flags
#
MKDIR      = mkdir
MKDIRFLAGS = -p -m 0755

LINK      = ln
LINKFLAGS = -s -f

INSTALL      = install
INSTBINFLAGS = -m 0755 -s
INSTDATFLAGS = -m 0644
INSTINCFLAGS = -m 0644
INSTLIBFLAGS = -m 0755 -s
INSTMANFLAGS = -m 0644

# Locations
#
BIN_DIR         = $(PREFIX)/bin
LIB_DIR         = $(PREFIX)/lib
MAN1_DIR        = $(PREFIX)/man/man1
EDV_ARCH_DIR    = $(PREFIX)/lib/endeavour2
EDV_INCLUDE_DIR = $(PREFIX)/lib/endeavour2/include
EDV_LIB_DIR     = $(PREFIX)/lib/endeavour2/lib


# Compile time information export:
#
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version | tr '\n' ' '`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"


# Build rules:
#
$(LIB): prebuild config modules $(LIB_CFG_BIN) postbuild

config:
	@echo "Compiling resources"
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

modules: $(OBJ_C) $(OBJ_CPP)
	@echo -n "Linking modules..."
	@$(CPP) $(OBJ_C) $(OBJ_CPP) $(OBJ_SO) $(LIBS) -shared -o $(LIB)
	@echo -n "   "
	@-$(LS) $(LSFLAGS) $(LIB)

prebuild:
	@echo "Building library \"$(LIB)\"..."

postbuild:
	@echo "Build done."

$(LIB_CFG_BIN):
	@echo "Compiling $(LIB_CFG_BIN)"
	@$(CC) -O2 -g -Wall endeavour2-config.c \
	-o $(LIB_CFG_BIN)

all: $(LIB)


HR = "-------------------------------------------------------------------------"

install: preinstall install_lib postinstall

install_lib:
	@echo "Installing $(LIB_CFG_BIN) -> $(BIN_DIR)"
	@$(MKDIR) $(MKDIRFLAGS) $(BIN_DIR)
	@$(INSTALL) $(INSTBINFLAGS) $(LIB_CFG_BIN) $(BIN_DIR)
	@echo "Installing $(LIB_CFG_MAN) -> $(MAN1_DIR)"
	@$(MKDIR) $(MKDIRFLAGS) $(MAN1_DIR)
	@$(INSTALL) $(INSTMANFLAGS) $(LIB_CFG_MAN) $(MAN1_DIR)
	@echo "Installing $(LIB) -> $(EDV_LIB_DIR)"
	@$(MKDIR) $(MKDIRFLAGS) $(EDV_ARCH_DIR)
	@$(MKDIR) $(MKDIRFLAGS) $(EDV_INCLUDE_DIR)
	@$(MKDIR) $(MKDIRFLAGS) $(EDV_LIB_DIR)
	@$(INSTALL) $(INSTLIBFLAGS) $(LIB) $(EDV_LIB_DIR)
	@echo "Linking $(LIB_DIR)/$(LIB) -> endeavour2/lib/$(LIB)"
	@$(LINK) $(LINKFLAGS) endeavour2/lib/$(LIB) $(LIB_DIR)/$(LIB)
	@echo "Installing header files to $(EDV_INCLUDE_DIR)"
	@-$(RM) $(RMFLAGS) $(EDV_INCLUDE_DIR)/edvcfg.h
	@-$(RM) $(RMFLAGS) $(EDV_INCLUDE_DIR)/edvcfgfio.h
	@for h_file in $(SRC_H); do \
            $(INSTALL) $(INSTINCFLAGS) $$h_file $(EDV_INCLUDE_DIR); \
        done
	@echo "Installing data files to $(EDV_ARCH_DIR)"
	@$(INSTALL) $(INSTDATFLAGS) README $(EDV_ARCH_DIR)
	@$(INSTALL) $(INSTDATFLAGS) LICENSE $(EDV_ARCH_DIR)

preinstall:
	@echo "Installing \"$(LIB)\"..."

postinstall:
	@echo "Install done."
	@echo $(HR)
	@echo "Program $(LIB_CFG_BIN) installed in:"
	@echo " "
	@echo "        $(BIN_DIR)/$(LIB_CFG_BIN)"
	@echo " "
	@echo "Library $(LIB) installed in:"
	@echo " "
	@echo "        $(EDV_LIB_DIR)/$(LIB)"
	@echo " "
	@echo "Header files installed in:"
	@echo " "
	@echo "        $(EDV_INCLUDE_DIR)"
	@echo " "
	@echo $(HR)
	@echo " "


# Maintainance and Misc Rules:
clean:
	@echo "Cleaning library \"$(LIB)\"..."
	@echo "Deleting all intermediate files..."
	@-$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h \
        $(LIB) $(LIB_CFG_BIN)
	@echo "Clean done."

=== endeavour2/test/Makefile ===
PROGRAMS = confirmation_dialog date_parse progress_dialog	\
           prompt_dialog recycle sar splash sendcmd thumbs_list

PREFIX = /usr

CFLAGS = -Wall -g -O2

INC_DIRS =

LIBS = -lm `glib-config --libs`
LIB_DIRS =

CC = cc
CPP = c++

CPPFLAGS = -D__cplusplus -Dc_plusplus

OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)

LS           = ls
LSFLAGS      = -a -l
COPY         = cp
COPYFLAGS    = -R -f
MOVE         = mv
MOVEFLAGS    = -R -f
MKDIR        = mkdir
MKDIRFLAGS   = -p -m 0755
RM           = rm
RMFLAGS      = -f
INSTALL      = install
INSTBINFLAGS = -m 0755 -s

EDV_BIN_DIR = $(PREFIX)/lib/endeavour2/bin


# Compile Time Info
#
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version | tr '\n' ' '`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"


# Build Rules
#

all: pre_build config						\
     $(PROGRAMS)						\
     post_build

pre_build:
	@echo "Building test programs..."

post_build:
	@echo "Build done."

config:
	@echo "Compiling resources"
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

confirmation_dialog:
	@echo "Compiling confirmation_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        confirmation_dialog.c ../cdialog.o ../guiutils.o	\
        ../string.o ../fio.o					\
        -o confirmation_dialog

date_parse:
	@echo "Compiling date_parse"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        date_parse.c ../edv_date.o ../string.o			\
        -o date_parse

progress_dialog:
	@echo "Compiling progress_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        progress_dialog.c ../progressdialog.o ../guiutils.o	\
        ../string.o						\
        -o progress_dialog

prompt_dialog:
	@echo "Compiling prompt_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        prompt_dialog.c ../pdialog.o ../cdialog.o ../guiutils.o	\
        ../pulist.c ../string.o ../disk.o ../fio.o		\
        -o prompt_dialog

recycle:
	@echo "Compiling recycle"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        recycle.c ../edv_obj.o ../edv_recbin_index.o		\
        ../edv_recbin_stat.o ../edv_recycled_obj.o		\
        ../edv_utils.o ../string.o ../disk.o ../fio.o		\
        -o recycle

sar:
	@echo "Compiling sar"
	@$(CC) -c sar.c
	@$(CPP) sar.o ../string.o -o sar

sendcmd:
	@echo "Compiling sendcmd"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        sendcmd.c ../edv_interps.o ../edv_utils.o ../cfg.o	\
        ../cfg_fio.o ../prochandle.o ../string.o ../disk.o	\
	../fio.o						\
        -o sendcmd

splash:
	@echo "Compiling splash"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        splash.c						\
        ../splash.o ../guiutils.o ../guirgbimg.o		\
        -o splash

thumbs_list:
	@echo "Compiling thumbs_list"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        `imlib-config --cflags --libs`				\
        thumbs_list.c ../tlist.o ../guiutils.o ../guirgbimg.o	\
        ../statictip.o ../string.o ../disk.o ../fio.o		\
        -o thumbs_list


# Install
#
install:
	@echo "These are test programs and are not to be installed."


# Clean
#
clean:
	@echo "Cleaning test programs..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h	\
        $(PROGRAMS)
	@echo "Clean done."

=== endeavour2/utils/Makefile ===
PREFIX = /usr

CFLAGS = -Wall -g -O2

EDV_UTIL_CFLAGS = `glib-config --cflags` -I../lib
EDV_UTIL_LIBS = `glib-config --libs` -L../lib -lendeavour2

CC = cc
CPP = c++

CPPFLAGS = -D__cplusplus -Dc_plusplus

OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)

# Programs
#
LS           = ls
LSFLAGS      = -a -l
COPY         = cp
COPYFLAGS    = -R -f
MOVE         = mv
MOVEFLAGS    = -R -f
LINK         = ln
LINKFLAGS    = -s -f
MKDIR        = mkdir
MKDIRFLAGS   = -p -m 0755
RM           = rm
RMFLAGS      = -R -f
INSTALL      = install
INSTBINFLAGS = -m 0755 -s


# Install Locations
#
EDV_BIN_DIR = $(PREFIX)/lib/endeavour2/bin


# Build List
#
BUILD_LIST = confirmation-dialog file-selector lsmimetypes	\
             notify open properties purge recover recycle rls	\
             style-editor


# Compile Time Info
#
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version | tr '\n' ' '`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"


# Build Rules
#
all: pre_build config $(BUILD_LIST) post_build

pre_build:
	@echo "Building utilities..."

post_build:
	@echo "Build done."

config:
	@echo "Compiling resources"
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

confirmation-dialog:
	@echo "Compiling confirmation-dialog"
	@$(CC) -c $(CFLAGS) `gtk-config --cflags`		\
        confirmation-dialog.c
	@$(CPP) `gtk-config --libs`				\
        confirmation-dialog.o					\
	../guiutils.o ../cdialog.o ../string.o			\
        -o confirmation-dialog

file-selector:
	@echo "Compiling file-selector"
	@$(CC) -c $(CFLAGS) `gtk-config --cflags`		\
        file-selector.c
	@$(CPP) $(CFLAGS) `gtk-config --libs`			\
	file-selector.o ../fb.o					\
	../cdialog.o ../guiutils.o ../fprompt.o ../pulist.o	\
        ../string.o ../disk.o ../fio.o				\
        -o file-selector

lsmimetypes:
	@echo "Compiling lsmimetypes"
	@$(CC) -Wall -O2 -g					\
        $(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	lsmimetypes.c -o lsmimetypes

notify:
	@echo "Compiling notify"
	@$(CC) -Wall -O2 -g					\
        $(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	notify.c -o notify

open:
	@echo "Compiling open"
	@$(CC) -Wall -O2 -g 					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	open.c -o open

properties:
	@echo "Compiling properties"
	@$(CC) -Wall -O2 -g 					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	properties.c -o properties

purge:
	@echo "Compiling purge"
	@$(CC) -Wall -O2 -g					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	purge.c -o purge

recover:
	@echo "Compiling recover"
	@$(CC) -Wall -O2 -g 					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	recover.c -o recover

recycle:
	@echo "Compiling recycle"
	@$(CC) -Wall -O2 -g					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	recycle.c -o recycle

rls:
	@echo "Compiling rls"
	@$(CC) -Wall -O2 -g					\
	$(EDV_UTIL_CFLAGS) $(EDV_UTIL_LIBS)			\
	rls.c -o rls


style-editor:
	@echo "Compiling style-editor"
	@$(CC) -c $(CFLAGS) `gtk-config --cflags`		\
        style-editor.c
	@$(CPP) `gtk-config --libs`				\
        style-editor.o						\
        ../guiutils.o ../cdialog.o ../fprompt.o ../pulist.o	\
        ../fb.o ../csd.o ../fsd.o ../style_edit.o		\
        ../string.o ../fio.o ../disk.o				\
        -o style-editor


# Install
#
INSTALL      = install
INSTBINFLAGS = -m 0755 -s
INSTUIDFLAGS = -m 4755
INSTLIBFLAGS = -m 0755 -s
INSTINCFLAGS = -m 0644
INSTMANFLAGS = -m 0644
INSTCFGFLAGS = -m 0644
INSTDATFLAGS = -m 0644

install: pre_install install_bin install_data post_install

HR = "-------------------------------------------------------------------------"

pre_install:

install_bin:
	@for prog in $(BUILD_LIST); do				\
            echo "Installing $$prog -> $(EDV_BIN_DIR)";		\
            $(INSTALL) $(INSTBINFLAGS) $$prog $(EDV_BIN_DIR);	\
        done

install_data:

post_install:
	@$(LINK) $(LINKFLAGS) notify $(EDV_BIN_DIR)/notify-added
	@$(LINK) $(LINKFLAGS) notify $(EDV_BIN_DIR)/notify-modified
	@$(LINK) $(LINKFLAGS) notify $(EDV_BIN_DIR)/notify-renamed
	@$(LINK) $(LINKFLAGS) notify $(EDV_BIN_DIR)/notify-removed
	@echo "Install done."
	@echo $(HR)
	@echo "Utilities installed in:"
	@echo " "
	@echo "        $(EDV_BIN_DIR)"
	@echo " "
	@echo "This directory is not usually included in the global search path,"
	@echo "so in order to make these programs globally available you need to"
	@echo "either add this directory to the global search path or create links"
	@echo "to each one of these programs in one of the directories already in"
	@echo "the global search path."
	@echo " "
	@echo $(HR)
	@echo " "

# Clean
#
clean:
	@echo "Cleaning utilities..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h	\
        $(BUILD_LIST)
	@echo "Clean done."

=== endeavour2/lib/demos/Makefile ===
PREFIX = /usr


# All programs
#
ALL_PROGS = devices edv-date helloworld history lsids		\
            lsmimetypes mimetypeinstall notify open params	\
            properties purge recover recycle rls

# Include directories
#
INC_DIRS =


# Compiler flags
#
CFLAGS = -Wall -O2 -g
CFLAGS += `glib-config --cflags`
CFLAGS += `endeavour2-config --cflags`

CPPFLAGS = -D__cplusplus -Dc_plusplus


# Libraries
#
LIBS = `glib-config --libs`
LIBS += `endeavour2-config --libs`

LIB_DIRS =


# Compilers
#
CC = cc
CPP = c++


# Programs and their flags
#
MKDIR      = mkdir
MKDIRFLAGS = -p -m 0755

LINK      = ln
LINKFLAGS = -s -f

INSTALL      = install
INSTBINFLAGS = -m 0755 -s
INSTINCFLAGS = -m 0644

RM      = rm
RMFLAGS = -f

# Locations
#
EDV_BIN_DIR = $(PREFIX)/lib/endeavour2/bin


# Compile time information export:
#
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version | tr '\n' ' '`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"


# Rules:
#
all: config $(ALL_PROGS)

config:
	@echo "Compiling resources"
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

# Echo rule note: Do not hide the output of the compiler command and
# arguments because we want the user to see them in order to demosrate
# what the compiler command line should look like for compiling these
# programs.

devices:
	@echo "Compiling devices"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
        devices.c -o devices

edv-date:
	@echo "Compiling edv-date"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
        date.c -o edv-date

helloworld:
	@echo "Compiling helloworld"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	helloworld.c -o helloworld

history:
	@echo "Compiling history"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
        history.c -o history

lsids:
	@echo "Compiling lsids"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
        lsids.c -o lsids

lsmimetypes:
	@echo "Compiling lsmimetypes"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	lsmimetypes.c -o lsmimetypes

mimetypeinstall:
	@echo "Compiling mimetypeinstall"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
        mimetypeinstall.c -o mimetypeinstall

notify:
	@echo "Compiling notify"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	notify.c -o notify

open:
	@echo "Compiling open"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	open.c -o open

params:
	@echo "Compiling params"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	params.c -o params

properties:
	@echo "Compiling properties"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	properties.c -o properties

purge:
	@echo "Compiling purge"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	purge.c -o purge

recover:
	@echo "Compiling recover"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	recover.c -o recover

recycle:
	@echo "Compiling recycle"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	recycle.c -o recycle

rls:
	@echo "Compiling rls"
	$(CC) $(CFLAGS) $(INC_DIRS) $(LIBS) $(LIB_DIRS) \
	rls.c -o rls

HR = "-------------------------------------------------------------------------"

install: preinstall install_demos postinstall

install_demos:
	@for prog in $(ALL_PROGS); do \
            echo "Installing $$prog -> $(EDV_BIN_DIR)"; \
	    $(INSTALL) $(INSTBINFLAGS) $$prog $(EDV_BIN_DIR); \
	done

preinstall:
	@echo "Installing demos -> $(EDV_BIN_DIR)"

postinstall:
	@echo "Install done."
	@echo $(HR)
	@echo "Demo programs installed in:"
	@echo " "
	@echo "        $(EDV_BIN_DIR)"
	@echo " "
	@echo $(HR)
	@echo " "

# Clean
#
clean:
	@echo "Cleaning..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h	\
        $(ALL_PROGS)
	@echo "Clean done."

## endeavour 42.0

=== meson_options.txt ===
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('tracing', type: 'boolean', value: false, description: 'Enable application tracing')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')


# Plugins
option('todo_txt_plugin', type: 'boolean', value: false, description: 'Enable Todo.Txt plugin')
option('todoist_plugin', type: 'boolean', value: false, description: 'Enable Todoist plugin')
option('unscheduled_panel_plugin', type: 'boolean', value: true, description: 'Enable Unscheduled Tasks Panel plugin')
option('background_plugin', type: 'boolean', value: true, description: 'Enable Background plugin')

=== debian/changelog ===
endeavour (42.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix date picker (Closes: #1003928)
  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 17:49:13 -0400

endeavour (42.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: endeavour-common Breaks/Replaces
    gnome-todo-common (<< 42)

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Aug 2022 22:19:56 +0100

endeavour (42.0-2) unstable; urgency=medium

  * debian/control.in: Bump minimum libadwaita to 1.2~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 14:19:23 -0400

endeavour (42.0-1) unstable; urgency=medium

  * App has been renamed to Endeavour
  * New upstream release
  * Add gnome-todo transitional package
  * Disable introspection and drop the unused gir package (Closes: #991082)
  * Stop providing a -dev package. Use debian/not-installed for those files
  * debian/endeavour.links: Add /usr/bin/gnome-todo symlink
  * Update debian/copyright
  * debian/docs: NEWS is no longer provided
  * Drop all patches except the gsettings patch: applied in new release
  * Cherry-pick patch to fix build with -Werror=format-security
  * Set Rules-Requires-Root:no and X-Ubuntu-Use-Langpack: yes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 16:00:27 -0400

gnome-todo (41.0-3) unstable; urgency=medium

  * debian/control.in: Drop unused librest-dev Build-Depends
  * debian/control.in: Bump Standards-Version to 4.6.1
  * Release to unstable (Closes: #1005536)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 12:43:13 -0400

gnome-todo (41.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Switch from gtk3 to gtk4 and libadwaita
  * debian/control.in: Bump minimum glib & meson.
  * debian/control.in: Build-Depend on itstool
  * Build-Depend on libportal-gtk4-dev for background plugin
  * Build-Depend on dh-sequence-gnome
  * debian/gnome-todo-common.install: Install help files
  * Drop obsolete libgnome-todo (Closes: #883961)
  * Drop all existing patches: applied in new release
  * Add patch to compile gsettings schemas for build tests
  * Cherry-pick patches to fix libportal includes and update
    libadwaita support

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Contact, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints. + gir1.2-gtd-1.0, libgnome-todo-dev:
    Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 18:24:39 -0500

gnome-todo (3.28.1-6) unstable; urgency=medium

  * Team upload.
  * Explicitly build-dep on librest-dev (Closes: #978357)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Dec 2020 21:45:21 +0100

gnome-todo (3.28.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 15:11:50 +0200

gnome-todo (3.28.1-4) experimental; urgency=medium

  * debian/patches/eds-*: Various backports from upstream to build with EDS
    3.33
  * debian/control: Bump to build against libecal-2.0

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 21:39:48 +0100

gnome-todo (3.28.1-3) experimental; urgency=medium

  * Cherry-pick Drop-the-autoptr-definition-for-ESource.patch:
    - Fix build with evolution-data-server 3.32

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:42:02 -0500

gnome-todo (3.28.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Drop obsolete Build-Depends on appstream-util and yelp-tools
  * Add -Wl,-01 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 17:03:02 -0500

gnome-todo (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Apr 2018 13:20:44 -0400

gnome-todo (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Move AppStream metadata to main package
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 22:02:35 -0400

gnome-todo (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop libical3.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Feb 2018 15:26:06 -0500

gnome-todo (3.26.2-3) unstable; urgency=medium

  * Add missing Replaces from package split to ensure smooth upgrades
  * Add stricter dependency from gnome-todo to gnome-todo-common
  * Use dh_missing --fail-missing
  * Thanks Didier Roche for the above packaging suggestions
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 10:25:44 -0500

gnome-todo (3.26.2-2) unstable; urgency=medium

  * Bump Breaks/Replaces for package split so that Ubuntu can sync now
    (Closes: #873356)
  * Cherry-pick libical3.patch to fix build with libical 3 (Closes: #883937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 15:07:10 -0500

gnome-todo (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 4.1.1
  * debian/watch
    - use https for download

 -- Hideki Yamane <henrich@debian.org>  Wed, 01 Nov 2017 20:07:48 +0900

gnome-todo (3.26.1-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Fri, 22 Sep 2017 20:53:22 +0900

gnome-todo (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop autoconf-archive and add meson to Build-Depends
    - add libjson-glib-dev to Build-Depends
  * debian/rules
    - specify --buildsystem=meson
    - remove autoreconf lines


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: endeavour
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               meson (>= 0.53.0),
               itstool,
               libadwaita-1-dev (>= 1.2~alpha),
               libglib2.0-dev (>= 2.58.0),
               libgtk-4-dev (>= 3.92.0),
               libgoa-1.0-dev (>= 3.45),
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libedataserverui1.2-dev (>= 3.45),
               libical-dev (>= 0.43),
               libpeas-dev (>= 1.17),
               libportal-gtk4-dev,
               gtk-doc-tools,
               libjson-glib-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/endeavour
Vcs-Git: https://salsa.debian.org/gnome-team/endeavour.git
Homepage: https://wiki.gnome.org/Apps/Todo

Package: endeavour
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         endeavour-common (>= ${source:Version}),
         evolution-data-server (>= 3.45),
         gsettings-desktop-schemas
Breaks: gnome-todo-common (<< 3.28),
        gnome-todo (<< 42)
Replaces: gnome-todo-common (<< 3.28),
          gnome-todo (<< 42)
Description: minimalistic personal task manager designed to fit GNOME desktop
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 Endeavour was formerly known as GNOME Todo.

Package: endeavour-common
Architecture: all
Depends: ${misc:Depends},
Breaks: gnome-todo (<< 3.26.2-2~),
        gnome-todo-common (<< 42)
Replaces: gnome-todo (<< 3.26.2-2~),
          gnome-todo-common (<< 42)
Description: common files for Endeavour
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 This package contains common files.

Package: gnome-todo
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, endeavour
Description: minimalistic personal task manager - transitional package
 This empty transitional package is here to ensure smooth upgrades.

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/@PACKAGE@/tags \
	.*/Endeavour-v@ANY_VERSION@@ARCHIVE_EXT@

## endeavour 43.0

=== meson_options.txt ===
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('tracing', type: 'boolean', value: false, description: 'Enable application tracing')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')

=== debian/changelog ===
endeavour (43.0-5) unstable; urgency=medium

  * Remove obsolete Build-Depends: gtk-doc-tools
  * Add Build-Depends: libxml2-utils for xmllint
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 13:53:37 -0400

endeavour (43.0-4) unstable; urgency=medium

  [ Philipp Unger ]
  * add patch to fix a crash if n_messages is zero and causes a divide by zero
    (Closes: #1022144)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 17:33:30 -0500

endeavour (43.0-3) unstable; urgency=medium

  * Remove obsolete transitional package and Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:22:32 -0400

endeavour (43.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 14:33:31 -0400

endeavour (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 11:41:47 -0500

endeavour (42.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata

  [ Jeremy Bicha ]
  * Update debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 10:22:54 -0500

=== debian/control ===
Source: endeavour
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               itstool,
               libadwaita-1-dev (>= 1.2~alpha),
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libedataserverui1.2-dev (>= 3.45),
               libglib2.0-dev (>= 2.58.0),
               libgoa-1.0-dev (>= 3.45),
               libgtk-4-dev (>= 3.92.0),
               libical-dev (>= 0.43),
               libjson-glib-dev,
               libpeas-dev (>= 1.17),
               libportal-gtk4-dev,
               libxml2-utils,
               meson (>= 0.57.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/endeavour
Vcs-Git: https://salsa.debian.org/gnome-team/endeavour.git
Homepage: https://wiki.gnome.org/Apps/Todo

Package: endeavour
Architecture: any
Depends: endeavour-common (>= ${source:Version}),
         evolution-data-server (>= 3.45),
         gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-todo (= ${binary:Version})
Description: minimalistic personal task manager designed to fit GNOME desktop
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 Endeavour was formerly known as GNOME Todo.

Package: endeavour-common
Architecture: all
Depends: ${misc:Depends}
Description: common files for Endeavour
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dintrospection=false
